<?php
defined('BASEPATH') or exit('Direct access is not allowed');

require_once ROOT . '/trainingportal/app/models/Signup/SignupModel.php';
require_once LIBS_ROUTE .'Session.php';

/**
*  Signup controller
*/
class SignupController extends Controller
{
  private $model;

  private $session;

  public function __construct()
  {
    $this->model = new SignupModel();
    $this->session = new Session();
  }

  public function exec()
  {
    $params = array('viewname' => "signup", "dir" => "client");
    $this->render(__CLASS__,$params);
  }
  public function signup()
  {
    header('location: /trainingportal/signup');
  }

  private function verify($request_params)
  {
    return empty($request_params['email']) OR empty($request_params['password']);
  }

  private function renderErrorMessage($message)
  {
    $params = array('error_message' => $message);
    $this->render(__CLASS__, $params);
  }

}